Multiple File Handling Vulnerabilities in Photoshop CS4 Extended

Summary
The Adobe® Photoshop® family of products is the ultimate playground for bringing out the best in your digital images, transforming them into anything you can imagine and showcasing them in extraordinary ways.

Description
Adobe Photoshop CS4 Extended suffers from a buffer overflow vulnerability when dealing with .ABR (brushes), .GRD (gradients) and .ASL (styles) format file. The application failz to sanitize the user input resulting in a memory corruption, overwriting several memory registers which can aid the atacker to gain the power of executing arbitrary code or denial of service.

More info:

http://www.zeroscience.mk/en/vulnerabilities/ZSL-2010-4938.php
http://www.zeroscience.mk/en/vulnerabilities/ZSL-2010-4939.php
http://www.zeroscience.mk/en/vulnerabilities/ZSL-2010-4940.php

  • Trackback are closed
  • Comments (0)
  1. No comments yet.

Comment are closed.